﻿using Caliburn.Micro;

namespace CaliburnMicro.Sample.ViewModels
{
    public class SecondPageViewModel: Screen
    {
        private string name;

        public string Name
        {
            get { return name; }
            set
            {
                name = value;
                NotifyOfPropertyChange(() => Name);
            }
        }

        private string message;

        public string Message
        {
            get { return message; }
            set
            {
                message = value;
                NotifyOfPropertyChange(() => Message);
            }
        }

        protected override void OnActivate()
        {
            Message = string.Format("Hello {0}", Name);
        }
    }
}
